1. Download the Droplet Deformation scripts (DropDeform_XYZ.py) and the conda environment for Windows (DropDeform_windows.yml):
https://git.rwth-aachen.de/avt-fvt/public/droplet-deformation/

2. Open the DropDeform_main.py script with a code editor and install the environment DropDeform.yml: 
- conda env create -f DropDeform_windows.yml

3. Set configuration parameters in DropDeform_config.py and run the DropDeform_main.py script.

...

98. Script description and content:
- DropDeform_main.py --> This is the main script to execute DropDeform.
- DropDeform_config.py --> In this script configurations for the DropDeform_main.py script are set.
- DropDeform_poly.py --> In this script polyhedral shape parameters for the DropDeform_main.py script are set.
- DropDeform_deform.py --> This script contains all functions related to droplet deformation model.
- DropDeform_bo.py --> This script contains all functions related to Bond number correlation.
- DropDeform_excel.py --> This script contains all functions to export the results to excel.

99. Troubleshooting

a) If you have problems with conda not finding the packages when creating the environment, try to add conda channels:
- conda config --append channels conda-forge
- conda config --append channels anaconda 

b) If you have problems with creating the environment using the .YML file, try manual creation:

conda create -n DCNumPro python=3.10 xlwt numpy pandas sympy scipy tqdm